0.123
-----


MAMETesters Bugs Fixed
----------------------
taito_f3.c0122u8red [Aaron Giles]
dubugchunklength0122u7gre [Aaron Giles]
m62.c0122u7yel [Aaron Giles]
qix.c0122u8red [Atari Ace]
yard.c0122u7yel [Aaron Giles]



Source Changes
--------------
Fixed crash in debugcmt with starting with no game on the command-line.
[Andrew Gardner]

Fixed PSR transfers in the ARM7 core. [R. Belmont]

Fixed regression in cpu_spinuntil* calls that broke a number of games.
[Aaron Giles]

Fixed ADPCM in m62 games. Did some additional cleanup. [Aaron Giles]

Fixed palette gradient for promutrv. [Pierpaolo Prazzoli]

Fixed watchdog behavior when not explicitly specified. [Aaron Giles]

Fixed sprite placement again in chinagat driver. [Aaron Giles]

Fixed incorrect default screen siz



New clones added
----------------
Vs. Janshi Brandnew Stars (MegaSystem32 Version) [David Haywood]



0.122u8
-------


MAMETesters Bugs Fixed
----------------------
stadhero0122u3gra [RansAckeR]
wboy3_0119u3gra [RansAckeR]
zerohour0122u6gra [RansAckeR]
strahl0122u6yel [Mamesick]
cmv801_0116gra [RansAckeR]



Source Changes
--------------
Added deprecat.h that contains some deprecated/discouraged contructs.
The idea is to create extra work if a driver wants to use these and 
hopefully gives an incentive to look for an alternate solution. Added 
#include of deprecat.h that rely on these contructs. Removed a bunch 
of unneccassary #include's from these files. [Zsolt Vasvari]

Simplified Star Fire driver. [Zsolt Vasvari]

drawgfx changes: [Zsolt Vasvari]
 - Removed copybitmap_remap and copyscrollbitmap_remap, neither which 
    was used by anybody
 - Removed some obsolete commented out code
 - Fixed up some comments
 - Removed TRANSPARENCY_NONE case from copybitmap_core, which can 
    never happen
 - Removed TRANSPARENCY_BLEND completely and TRANSPARENCY_BLEND_RAW 
    as an option to copybitmap. Source tree needs to be recompiled 
    as the transparancy mode enum has changed.
 - Removed TRANSPARENCY_NONE_RAW, TRANSPARENCY_PENS_RAW and 
    TRANSPARENCY_PEN_TABLE_RAW as they were no longer used.
 - Changed copybitmap and copyscrollbitmap. There are now 2 versions 
    of each, one without and with transparency.

Fixed crash in masao. [couriersud]

Corrected previous i0851 timer fix to use more accurate IE SFRs.
[Jim Stolis]

jedi.c updates: [Zsolt Vasvari]
 - Changed video code to directly manipulate the game bitmap
 - Background smoothing now happens at the same time as the background 
    is drawn

Fixed the CPS driver to at least display the correct clock in the 
driver info, by degrading the clock through alternate means. 
[David Haywood]

m62.c changes: [couriersud]
 * fixed wrong resistor value (22K to 2.2K) - verified on spelunkr 
    and kidniki hires pcb pictures
 * Changed resistor network calculation based on assumption that cs 
    line is active either on tiles or sprites color prom.

Simplified the video code for crgolf. [Zsolt Vasvari]

Added PCB layouts for Penguin Bros & Puzzle De Bowling based on 
Hi-res pics. Corrected the seta2.c 68301 base clock as 50MHz / 3 
(16.66666MHz) as all the Seta2 hardware has a 50MHz OSC. Secondary OSC 
are for other chips (28MHz and or 32.53047MHz). [Brian Troha]

Simplified video code and adjusted some set names in the leland
driver. [Zsolt Vasvari]

Replaced tables with equations in the Sega C2 driver. 
[Nicola Salmoria]

Added checks for CROSS_BUILD=1 to omit building m68kmake.exe, 
verinfo.exe, png2bdc.exe and file2str. Enables building mame using 
mingw on linux. [couriersud]

Various Irem driver updates: [Aaron Giles]
 * Properly tagged m52 and m62 sound boards, plus variants.
 * Updated all connected drivers.
 * Merged memory maps.
 * Proper video timing in 10 yard fight.
 * Converted troangel to tilemaps.
 * Moved definitions to header files.
 * Updated mpatrol, yard to use resnet for colors.
 * Renamed mpatrol -> m52
 * Renamed troangel -> m57
 * Renamed yard -> m58

Cleaned up 20pacgal driver, including driver state. Tried improving 
on the ROM mirroring, without any success. [Zsolt Vasvari]

Removed colortables from a number of drivers, as part of a larger
move to phase out old-style colortables: gotya, gyruss, ampoker,
circusc, clshroad, champbas, 1943, lucky8, olibochu, yamato,
appoooh, bking, bladestl, blueprnt, carpolo, centiped, cop01,
cosmic, ddrible, irobot, ace, alpha68k, arabian, bfm_sc2, carjmbre,
cclimber, cherrym2, combatsc, contra, fastlane, hcastle, labyrunr,
cham24, multigam. [Zsolt Vasvari]

Removed non-existent, second M6295 from Hit the Ice. Fixes missing 
sounds (e.g. team select screen). Hit the Ice/Violence Fight now 
share the same sound CPU memory maps. [Philip Bennett]

Improved DIP switches according to manuals for the following drivers:
wboy, chplft, extdwnhl, zingzip, zaxxon, congo, vanguard, zarzon,
nibbler, segag80r.c, yard, kaneko16.c. [RansAckeR]

Verified the sound roms for Rock'n 3 and added proper names. Added 
PCB layout for sound rom board only. [Brian Troha]

Cleaned up Time Pilot sound board implementation: [Aaron Giles]
 * full memory maps
 * partial machine driver removes need for replicating filtering logic
 * updated all relevant drivers

Cleaned up Time Pilot and Tutankham drivers: [Aaron Giles]
 * correct clocks where possible
 * merged memory maps
 * fully decoded memory maps
 * replaced hacky sprite rendering in Time Pilot with partial updates
 * save state support
 * removed Power Surge kludge, replaced with unmapped handler control
 * Tutankham runs at 60fps, with IRQs every other frame
 * Proper IRQ ack in Tutankham
 * Proper NMI generation in Time Pilot

Cleaned up pooyan driver. Save states, full memory maps, proper NMI 
generation, etc. Flipped video to align better with Time Pilot.
[Aaron Giles]

Changed 6840 interrupt handling to work like the recent 6821 changes.
Updated MPU4 driver accordingly. Updated Scorpion 2 driver to match
MPU4 coding style. [James Wallace]

Resolved all unknown dips in the galpani2 driver according to kaneko's 
docs, unified memory maps of both CPUs and repositioned a pair of 
graphic ROMS. [Luis Faria]

Made some minor improvements to 1942.c & 1943.c DIPs. Improved 
segas16a.c, segas16b.c & system16.c DIPs and added DIP locations 
from manuals. [RansAckeR]

Removed distinction between *_gettotalcycles() and 
*_gettotalcycles64(). All functions now return 64-bit results. Updated 
all call sites appropriately. [Aaron Giles]

Further improvements to SCSP FM. [kingshriek]

Moved cpu_getiloops() and cpu_scalebyfcount() to deprecat.h. Added 
#include "deprecat.h" where necessary to make this happen. Cleaned up 
cpuexec.c/.h to latest core style. Cleaned up implementation of 
extended INP header in inptport.c. Removed external access to 
cycles_currently_ran(). Replaced use of cycles_currently_ran() in 
v9938 code with mame_rand(), since that is effectively the same thing.
[Aaron Giles]

Added dip locations to about half the games in seta.c. [Brian Troha]

Removed champbas color PROM. Now uses TRANSPARENCY_PENS instead of 
TRANSPARENCY_COLOR. Hooked up palette bank selector from schematics, 
though I am not sure if it is actually used by the code. Changed set 
names to match title screen, which is why baseball is spelt as 
"Base Ball". [Zsolt Vasvari]

Some minor cleanup to the equites driver, including memory map 
merging. [Aaron Giles]

Added new option VIDEO_UPDATE_SCANLINE, which cases VIDEO_UPDATE to 
be called for every visible scanline. Removed manual implementation 
of this in timeplt, in favor of using the new flag. There are 
probably many more drivers that can leverage this. [Aaron Giles]

Added stream_get_sample_rate(), stream_get_time(), and 
stream_get_sample_period(). These functions are not really tested yet
-- make sure they give reasonable results when first used! Updated 
streams.h header to latest core style. [Aaron Giles]

Fixed reset crashes in all Z180 games. Removed the various busy loop 
and non-exact optimzations from the Z180 core. [Zsolt Vasvari]

Correct colors in Birdie King 3 -- just needed a new dump. Fixed 
incorrect ROM names. Switched color decoding to use the resnet code.
[Zsolt Vasvari]

Cleaned up the rockola.c driver. Fixed dip switches for all games.
Added notes about the games. [stephh]

Reorganized exidy440 audio code to make it easier to eventually use
the MC3417/18 emulation directly. Added MC3418 variant support to the
HC55516 audio code. [Zsolt Vasvari]

Updated williams driver to use VIDEO_UPDATE_SCANLINE (most bitmap-
based drivers should.) Converted to 32bpp to catch mid-screen palette 
tweaks. Removed some unnecessary read/write handlers. [Aaron Giles]

Improved colors in circusc, gyruss, gotya with the resnet code.
[Zsolt Vasvari]

Significant improvements to Lock-On. Added POLL input handling to the
NEC V20/V30 core. [Philip Bennett]

Changed debugger-related code to be based off a new makefile define 
(DEBUGGER) which sets a new compile-time define (ENABLE_DEBUGGER). 
This means that MAME_DEBUG no longer means "enable debugger", it 
simply enables debugging features such as assertions and debug code
in drivers. Also removed the various levels of opbase protection in 
memory.h and always just turned on full bounds checking. [Aaron Giles]

Added some instructions to the H8/30xx CPU: [Luca Elia]
  or.l ERs, ERd
  rotl/shal.l ERd
  not.l/neg.l ERd
  exts.w Rd
  sub/or/xor.l #Imm:32, ERd
  bset/bnot/bclr.b Rn, @ERd
  bst/bist.b #Imm:3, @ERd
  bnot.b #Imm:3, @ERd

Added H8/3007 & H8/3044 variants with their memory maps. Preliminary 
implementation of the H8/3007 timers. [Luca Elia]

Added AM_WRITEONLY as a shortcut for AM_WRITE(MWAx_RAM). [Aaron Giles]

Cleaned up Kangaroo driver: [Aaron Giles]
 * documented MB8841 (needs to be decapped to get code)
 * proper video timing
 * full memory maps
 * simplified and more accurate video logic
 
More opcode improvements to Risky Challenge. [robiza]

Added DIP locations to bking.c [RansAckeR]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Wheels Runner [Luca Elia]



New clones added
----------------
Lock-On (rev. C) [Philip Bennett]
Progressive Music Trivia (Question set 4) [Andrew Gardner]



New games marked as GAME_NOT_WORKING
------------------------------------
Puzzlet (Japan) [Luca Elia]
Galaxy Games BIOS [Andrew Gardner]



0.122u7
-------


MAMETesters Bugs Fixed
----------------------
tylz0122u5red [Zsolt Vasvari]
stadhero0122u3gre [Zsolt Vasvari]
stadhero0122u3ora [Zsolt Vasvari]
asterix_1055gre [couriersud]
blktiger37b15gre [couriersud]
newui0118u4ora [Atari Ace]
mpatrol0117u2gre [Aaron Giles]
realbrk0111u4gra [Brian Troha]
schmisr0111u5gra [Brian Troha, partial fix]
penbros0111u5gra [Brian Troha]
ninjakd2_0111u3gra [Nicola Salmoria]
mnight0102gre [Nicola Salmoria]
toki060gre [robiza, Corrado Tomaselli]



Source Changes
--------------
Added internal divider on m680* series CPUs (except the original 
m6800). Updated clocks on all games using them to remove the explicit 
divider. [Aaron Giles]

Reverted experimental D3D fix, since it breaks switchres. 
[Aaron Giles]

dkong updates: [couriersud]
 * fix dkong sound following Clock Divider update
 * updated to use XTAL_*
 * revert a change after sound regression in dkong.

i8085.c updates: [couriersud]
 * 8085 has an internal clock divider by 2. Changed i8085.c to reflect 
    this for I8085. I8080 still at 1.
 * Changed driver clocks to reflect internal clock divider
 * Added some FIXME: comments where clocks for I8085 are outside specs 

Space Fighter Mark II: [Zsolt Vasvari]
 - Changed year to 1979 as per Guru's contact
 - Renamed set 2 ROMs to allow merging
 - Removed experimental code left in there

phoenix.c updates: [couriersud]
 * Modified I8085 clock
 * Added dip locations
 * consolidated inputs
 * tagged inputs
 * combined memory maps
 * fixed sound issue related to (auto) save states

pleiads updates: [couriersud] 
 * video timing from schematics
 * palette from schematics (resnet.h)
 * no more colortable

survival updates: [couriersud]
 * palette from schematics (resnet.h)

Removed bogus (bad) dump of Heated Barrel US set 2. [Brian Troha]

RSP Changes: [SGINut, Nicola Salmoria, Ville Linde]
 - Initialize RSP registers to 0 in lieu of mame_rand
 - Re-fix RSP single-stepping mode when set by another CPU
 - Reading the RSP PC returns only the least significant 12 bits
 - Fixed flag behavior when read out via CFC2
 - Fixed RSP VRCP instruction to match the real hardware results
 - Corrected VRCP element lookup
 - Corrected unaligned DMA behavior

Removed all palette_X_r functions in favor of direct RAM reads.
[Zsolt Vasvari]

Removed no longer applicable assert from VIDEO_START(generic). Removed 
VIDEO_START(generic) from drivers that didn't need it. Removed 
MDRV_VIDEO_START(generic_bitmapped) from drivers that don't need it.
[Zsolt Vasvari]

Made detection of dynamic attempts to install ROM/RAM handlers more 
aggressive. Previous checks would not catch modifications in 
DRIVER_INIT or MACHINE_START calls. Fixed a number of cases of
incorrect usage throughout the drivers. [Aaron Giles]

Changed one of the cheat calls back to using more generic switch 
detection so they can be triggered via joysticks. [Aaron Giles]

Renamed sauro.c sp0256 internal rom to "sp0256-al2.bin". 
Removed BAD_DUMP flag from it as well. [couriersud]

Marked HD6309 as divide-by-4 internally. Updated drivers accordingly.
[Aaron Giles]

Major cleanup to the ddragon driver: [Aaron Giles]
 - improved video and interrupt timing
 - consolidated common memory maps and input ports
 - added save state support
 - correct clocks

blktiger.c updates: [couriersud]
 * combines memory maps
 * input ports were tagged
 * all reads use input port tags
 * added dip switch locations from Romstar manual

Added all known variants of the tms5110 as proper chips. Updated 
dkong, cvs and scramble to use new chips. [couriersud]

Converted atarifb.c to tilemaps. [Zsolt Vasvari]

Switched namcos11/namcos12 over to memory_configure_bank / 
memory_set_bank. Simplified golgo 13 gun reading. [smf]

mpatrol driver cleanup [Aaron Giles]
 - merged memory maps
 - complete memory map
 - correct video timing
 - correct CPU clocks
 - replaced protection hack with actual implementation
 - cleaned up inputs

Added tilemap_get_scrollx / tilemap_get_scrolly. [Nicola Salmoria]

Preserve fractional part of sample offset when looping in SCSP. Fixes 
remaining pitch stability problems. Fixed minor issue with timers 
B&C expiring. [kingshriek, R. Belmont]

auto_malloc() once again actually fails when out of memory. 
[Aaron Giles]

Switched zn.c to use MDRV_IMPORT_FROM. [smf]

mario.c changes: [couriersud]
 * removed all traces to video/generic.h
 * fix flipscreen issue with autosave
 * on a hires pcb picture, verified resistor and capacitor values

Added dip locations to Real Break. Filled in a couple of dips for the 
Pachinko Gindama Shoubu games. [Brian Troha]

Fixed invalid memory_install_*_handler calls in drivers/williams.c.
Emulated external OR circuit for all drivers using the PIA chip. This 
used to be internal to the PIA emulation, but, in fact, this is 
external logic. The PIA has two seperate INTA and INTB out lines. 
This fixes at least PlayBall. [Zsolt Vasvari]

Added the ability to the HC55516 emulator to take an external 
osciallator. Updated Mouse Trap to use the new interface. 
[Zsolt Vasvari]

Cleaned up and merged ninjakd2, mnight and omegaf drivers into a 
single driver. Additionally: [Nicola Salmoria]
 - added flip screen support to all games
 - fixed sprite overdraw mode:
    - ninjakd2 congratulations screen (e.g. stage 3) shows japanese 
       characters which were previously missing
    - in ninjakd2, at the beginning of a level items are visible 
       during the initial fade in. I'm not sure if this is correct 
       but the other effects wouldn't work otherwise
    - in mnight attract mode, when the big ship is firing the other 
       sprites no longer leave trails
    - in mnight at the end of a level the screen is slowly filled 
       with balls and then slowly cleared to begin the following 
       level. Same effect in the death sequence during attract mode.
 - added proper computation of sprites to be drawn taking into 
    account double size sprites. This fixes sticking shots in mnight 
    without need for a hack.
 - lowered ninjakd2 PCM playback rate to 13020 (from 16000). This 
    seems to sound better and is a round division from one of the 
    master clocks.
 - removed ROM patch that was used to avoid the input protection in 
    omegaf, added a rough but effective protection simulation.
 - corrected some dip switches
 - hooked up sound cpu reset line
 - simplified ROM loading for the older games swizzling address lines 
    in driver init.

Added MDRV_SOUND_ROUTE_EX to specify target input channel. Added 
input id to route struct. Fixed DISCRETE_INPUT_STREAM and added input
channel # to DISCRETE_INPUT_STREAM. [couriersud]

Fixed default debugger memory view width for CPUs with >byte-sized 
minimum. Made menu updating dynamic at click time, fixing issues with 
incorrect checkmarks. [Aaron Giles]

Fixed Ninja Kuna. Cleaned up memory maps. Renamed files to ninjakun.c.
[Zsolt Vasvari]

Added MC3417 and MC3418 variants to the HC55516 sound emulation. 
Changed Mouse Trap to use MC3417. [Zsolt Vasvari]

Fixed saving i8085 callbacks across a reset. Added 'pull' callback for 
the SID pin.  This is needed by the Red Alert voice board. 
[Zsolt Vasvari]

Made the text displayed by the various UI sliders more intelligent. 
Basically, it will only print an index for an item if there are 
multiple of a given type. [Zsolt Vasvari]

Updated jailbrek clocks and video timing based on measurements. 
[Aaron Giles]

Fixed i8051 timers from firing when not enabled. Checking TCON alone 
is not enough to invoke timers. Added IE SFR flags in conditional.
[Jim Stolis]

Added a _CALL variant to all prototype macros. The use of these 
should make it easier to change the signiture of these functions in
the future. Replaced existing calls with macro where appropriate.
[Zsolt Vasvari]

Removed VIDEO_START_CALL(generic) from all drivers not needing it, 
which were all of them. Removed VIDEO_START_CALL(generic_bitmapped) 
from jpmimpct. [Zsolt Vasvari]

Changed YM2203 clock in stfight to 3MHz (compared against OST)
[Yasuhiro Ogawa]

Improved linear zoom effect resolution to address gaps in CPS3
rendering. [OopsWare]

Rewrote and modernized the redalert driver: [Zsolt Vasvari]
 - correct colors -- in places different from the manual's description, 
    but matches the flyer perfectly
 - added speech
 - fixed AY-8910 sounds
 - odds and ends
 - corrected colors in Demoneye-X
 - added some sound to Demoneye-X
 - marked Demoneye-X it NOT_WORKING, due to the (still) missing 3rd 
    gfx layer that makes it impossible to pass the 2nd level.

Added all the known Naomi BIOS dumps along with descriptions and
information about region bytes & version numbers. [Brian Troha]

Removed the freely distributable Exidy games' dependency on Berzerk.
[Zsolt Vasvari]

Added support for the BLX opcode in ARM7 THUMB mode. [SGINut]

Verified DIP locations from manuals for scramble and 800fath.
[RansAckeR]

Changed S14001A emulator to allow setting the clock frequency instead 
of the clock multiplier. This is how the real chip works. Changed the 
Berzerk driver to set the S14001A clock as per the schematics.  
[Zsolt Vasvari]

Removed the use of the global Machine from a number of places in the
code. [Zsolt Vasvari]

Fixed issues flagged by MSVC warning C4305 (type truncation). Almost 
all of these are harmless double->float narrowing in initializers, but 
one warning spotlighted a bug in segasyse.c, where code to use a 
higher sprite number had no effect due to the insufficient range of 
UINT8. [Atari Ace]

Removed /wd4550 for VS7/VS71 compilers (expression evaluates to a
function which is missing an argument list). Fixed some VS7-specific 
issues (OPTIMIZE=0 at least compiles now). [Atari Ace]

Added a missing case statement in sm8500d.c, noticed while reviewing 
dead code warnings. [Atari Ace]

Corrected Diet gogo h6280 clock so that it behaves correctly with
Charles Macdonald fix to the cpu core. Verified and corrected 
frequencies and pin 7 okim6295 on the following games:
The new zealand story (3 z80 version), Trio The punch, Vandyke,
paradise.c games, Downtown, Shaolin's Road and Twins.
[Corrado Tomaselli]

Removed all peplus memory hacks and game specific DRIVER_INIT. There 
are now just two DRIVER_INIT, one for normal boards and one for 
superboards. Temporarily disabled AutoHold Cheat but documented 
addresses for future update. [Jim Stolis]

Added further unencrypted opcodes to risky challenge. The game now 
boots with the intro animation. [robiza]



New clones added
----------------
Jokers Wild Poker (PP0065) [Jim Stolis]
Double Down Stud Poker (PP0250) [Jim Stolis]
Standard Draw Poker (PP0447) [Jim Stolis]
Night Stocker (set 2) [Andrew Gardner]
Trivial Pursuit (Genus I) (set 2) [Andrew Gardner]



0.122u6
-------


MAMETesters Bugs Fixed
----------------------
pangpoms098u3ora [Brian Troha]
cuebrckj0102u5gre [Zsolt Vasvari]
astinvad0106u11gre [Aaron Giles]
victory137b4gre [Zsolt Vasvari]
victory37b16gre [Zsolt Vasvari]
dcs057ora [Aaron Giles]
pleiads0111u4gre [Robbert]
armwrest35b9yel [David Haywood]
gstrik20105u4gra [Brian Troha]
narc060gra [Aaron Giles]
mia0106u5gra [RansAckeR]
nss_smw0115ora [Atari Ace]
darkplnt0119u3yel [Atari Ace]
mhhonban0120u3gra [RansAckeR]
rollerg0111u5gra [RansAckeR]
bionicc0109ora [RansAckeR]
lcasino0111ora [RansAckeR]
megaplay.c0122u4red [Atari Ace]
nmnlnd0122u3yel [Mamesick]
cocktail0119yel [Robbert]
tokisens0122u3gra [RansAckeR]
alleymas0119u3gre [RansAckeR]
crbaloon36finalgre [Zsolt Vasvari]
topsecrt0109gre2 [Bryan McPhail]
quasar0122u5red [Zsolt Vasvari]
stadhero0122u3gra [RansAckeR]



Source Changes
--------------
Swinging Singles cleanup: [Tomasz Slanina]
 - hooked up crt6845
 - converted to tilemaps
 - simplified protection(?) emulation
 - removed tilemap, a bit more low level video hw emulation
 - fake colors

Lowerd FPS in lasso.c to avoid corrupting Chameleon's high score 
table. [Zsolt Vasvari]

Removed obsolete uitext.c and all references to it. [Aaron Giles]

Some more modernization/clean-up in the exidy driver. [Zsolt Vasvari]

Added VIDEO_ALWAYS_UPDATED for reliable collision detection in the 
CVS driver. [Zsolt Vasvari]

Cleaned up astinvad driver: [Aaron Giles]
 * Proper video timing
 * Hooked up 8255 PPIs
 * Correct interrupt timing
 * Consolidated code into single file

i8039.c/mario.c updates: [couriersud]
 * fixed movd instructions
 * add MB8884 and M58715 cpu types
 * moved timer hack to M58715
 * added ram_mask for internal ram access
 * added R.A11 as 'M' to dasm flags
 * added EA "IO" port
 * mario now uses M58715 as sound cpu
 * hooked up EA line for M58715
 * fixed portA startup value
 * documented hardware changes to use a I8039 on a mario board

sauro.c: [couriersud]
 * revert promsize to 256 for trckydoc

Added XTAL clocks to zaxxon.c. [Aaron Giles]

Cleaned up cojag/jaguar driver: [Aaron Giles]
 * proper video timing, configured by the chipset
 * 32-bit rendering, removing 16bpp hacks
 * support for borders
 * proper object processor timing, including multiple passes per line
 * added R3041 as a clone of the R3000
 * fixed XTALs based on documentation

Consolidated exidy and victory drivers. Removed complicated dirty
tracking from victory.c. Reorganized the exidy audio hardware code.
Changed Targ to use a loaded PROM instead of a hard-coded one. Renamed
Side Trak to Side Track as per the title screen. [Zsolt Vasvari]

6821 PIA changes: [Zsolt Vasvari]
 - Added orthogonal accessors
 - Removed hacky update_shared_irq_handler(), now the same
   IRQ callback maybe called multiple times, but this shouldn't 
   be a problem
 - IRQ lines are cleared on a reset

Disabled code in the TMS5220 that set the Buffer Empty flag after a 
stop frame. This fixes Victory. This might be the incorrect fix but 
the old code wasn't working either. [Zsolt Vasvari]

Hooked up revx dcs reset line. Signaled IRQ on correct CPU when DCS 
sends data back (duh). [Aaron Giles]

Removed unnecessary check that could cause SCSP hangs in grdforce.
[kingshriek]

Tweaked deco156 clock speed to be 28 to prevent the games from running
in slow motion. I suspect the 156 chip has an internal multiplier, the 
usual input pin is 7Mhz IIRC. [David Haywood]

dkong.c changes: [couriersud]
 * added equivalence circuit for Sanyo EZV audio amplifier
 * Set DK_C159 = 0 to avoid over-aggressive high-pass filter. Solely 
    based on observations. 
 * added comment on above to source
 * Added define DK_NO_FILTERS to turn of DAC filters and post-mixer 
    filters for debugging

Adds dips for Water Balls. Adds dip port locations to all dips.
[Brian Troha]

Added CPUINFO_INT_CLOCK_MULTIPLIER to support CPU clock multipliers.
Updated all CPU cores to return a CPUINFO_INT_CLOCK_MULTIPLIER of 1.
Changed the core to actually respect both CPUINFO_INT_CLOCK_MULTIPLIER 
and CPUINFO_INT_CLOCK_DIVIDER. Updated a number of drivers to use 
cpunum_get_clock() instead of Machine->drv->cpu[x].clock. Raw input 
clock speeds should now be specified for all CPUs in the 
MACHINE_DRIVER. [Aaron Giles]

Changed TLC43076 and games using it to RGB32. Removed global Machine 
variable where possible. [Zsolt Vasvari]

Removed dirtybuffer from video/generic.c and all drivers still using 
it. Good riddance... Removed videoram_w, colorram_w and spriteram_w 
and changed all drivers using it to access RAM directly. Removed 
videoram_r, colorram_r, spriteram_r, spriteram16_r and spriteram16_w 
from video/generic.c and changed all games to use (possibly shared) 
RAM. [Zsolt Vasvari]

Cleaned up memory maps in the seibu sound interfaces. Changed to use
shared sound configs instead of statically copying them in each 
driver. [Aaron Giles]

Verified and changed cpu frequencies and oki m6295 pin 7 on the 
following pcbs: Asuka&Asuka, Cadash, Equites h/w games and sound 
board, F1GP, Super Formula, Gladiator, Ping Pong king, Great 
Swordsman, Irem m52 sound board, Tropical Angel, Explosive Breakers, 
Magical Crystal, Mad Gear, Roller Aces, Chinese Hero, Simpsons, 
Golfing Greats, Time Pilot 84. [Corrado Tomaselli]

Added some more static qualifiers on recent new/changed code.
[Atari Ace]

Fixed dbreed72 crash introduced in 0.122u5. [Mamesick]

Fixed HuC6280 low-speed mode so it uses 4 cycles instead of 3.
[Charles MacDonald]

Hand fixed Road Runner's corrupted ROM. We are 99.99% sure that the 
bad bytes are the same as the Desert Gun ones. [Zsolt Vasvari]

Cleaned up leland clocks a little. Made the i186 divide-by-2 clock 
internal. [Aaron Giles]

Added clocks to the MCR sound boards and some of the MCR games. Added 
TMS5220 variants TMS5200 and TMC0285 as proper chips. Changed MCR 
squawk & talk to use the TMS5200 as documented. [Aaron Giles]

Cleaned up Crazy Baloon driver: proper memory maps, crystals, etc.
Implemented the missing features of the collision detector custom IC.
[Zsolt Vasvari]

First pass at fixing the cpu clock speeds on the playstation based 
hardware. The system 10 & 12 clock speeds have been raised as they 
run on an upgraded chipset. The internal divide in the CPU core has
been set to 4 as we have no wait states, incorrect dma timing, 
no gpu timing, no dma bus stealing and no gte timing. [smf]

Fixed RET instruction on the i960 core. [Ernesto Corvi, ElSemi]

Removed speedups in the gstream and limenko drivers which were 
breaking the games. [David Haywood]

Fixed regression on i8039 T1 counter mode. [couriersud]

Added CUSTOM_INPUT macro for defining input port callbacks. Pushed
its usage throughout the code. [Aaron Giles]

phoenix and clones: [couriersud]
 * video timing from schematics
 * palette from schematics (resnet.h)
 * no more colortable
 * added save state

Minor RSP fixes: [SGINut]
 - Fixed accumulator state on powerup by testing against real hardware
 - Fixed single-step behavior by testing against real hardware

Added save state support to atetris.c. [Svante Gerhard]

Fixed up atetris memory maps and clocks according to schematics.
[Aaron Giles]

Added targ and spectar to TinyMAME. [neoforma]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Ripper Ribbit [Aaron Giles]
Chicken Farm [Aaron Giles]
Crazzy Clownz [Aaron Giles]
Space Fighter Mark II [Zsolt Vasvari, Guru]



New clones added
----------------
Heated Barrel (US set 2) [Corrado Tomaselli]
Player's Edge Plus (XMP00006) Multi-Poker [Jim Stolis]



New games marked as GAME_NOT_WORKING
------------------------------------
International Toote (Germany) [Luca Elia]
Dodge City [Roberto Fresca]



0.122u5
-------


MAMETesters Bugs Fixed
----------------------
scorpion0111u5gra [couriersud]
qbert37b14gre1 [Zsolt Vasvari]
blktiger060gre [robiza]
kinstc081u7gre [Aaron Giles]
kinst2083gre [Aaron Giles]
umk3059gre [Aaron Giles]
umk3137b5gre [Aaron Giles]
lasso056gre_1 [Zsolt Vasvari]
lasso056gre_2 [Zsolt Vasvari]
term20103u4gre [Aaron Giles]
term20104u2gre [Aaron Giles]
m72_0115u3yel [Mamesick, Aaron Giles]
deadang0119u2red [David Haywood]
tmnt095gre [Zsolt Vasvari]
memleak0122u2ora [Atari Ace]
junglek055gre [Zsolt Vasvari]



Source Changes
--------------
Fixed flipped tilemap offset for scramble and clones (playable 
cocktail mode). [couriersud]

Changed Exidy driver to draws the background directly from memory 
avoiding having to decode the gfx repeadately. [Zsolt Vasvari]

Added machine and cpunum parameters to INTERRUPT_GEN callbacks. Fixed 
several places that were not using INTERRUPT_GEN or OPBASE_HANDLER 
macros. [Atari Ace]

Minor bugfixes to the gfxlayout cleanups included in u4. [Atari Ace]

Added code to debug 64-bit builds to allocate all address space below 
4GB to help find 64-bit errors. Added environment variable 
OSDDEBUGMALLOC which, if set, explicitly overrides the debug malloc 
debug settings. Added environment variable OSDDEBUG4GB which, if set, 
explicitly overrides the new 64-bit address space allocations. (Sadly 
this is necessary due to some D3D drivers being 64-bit unclean....)
[Aaron Giles]

Fixed winwork to use proper tchar functions for getenv. [Aaron Giles]

Fixed bug where the 64-bit DRC was not saving rbp. [Aaron Giles]

Cleaned up the lasso driver. [Zsolt Vasvari]

Simplified Y-unit DMA rendering, fixing bugs and removing the macro
voodoo. [Aaron Giles]

Removed a bunch of dead code from othunder.c. [Zsolt Vasvari]

Implemented proper video timing and scanline interrupts in the m72
driver. [Mamesick, Aaron Giles]

mario.c improvements: [couriersud]
 * discrete sound
 * hooked up z80dma
 * combined memory maps
 * statics in mario_state struct
 * fixed save state issues
 * combine sh_* writes into one routine

audio/dkong.c: [couriersud] 
 * fixed LS123 constant to match TI datasheet diode circuit constant

TX-1 improvements [Philip Bennett, Guru]:
 * Fixed remaining arithmetic unit issues
 * Added correct object colour pixel LUT PROM to tx1a
 * Fixed x-flipping
 * Added engine sounds

Added correct DIP switch settings for Big Fight. Also corrected Cycle 
Warriors DIP switches. [Philip Bennett]

Changed and verified frequencies on Ikari Warriors h/w, Tnk3, Hyper 
Sports, Jackal and S.A.R. [Corrado Tomaselli]

Verified and corrected a lot of frequencies and oki6295 pin 7 on pcbs:
Double Dribble, Chequered Flag, Diet gogo, Boulderdash, Sly Spy, 
Psycho Nics Oscar, Captain Silver, Magical Cat Adventure, Raiden, 
Superman, Twin Hawk, Vimana, Ghox, Dogyunn, truxton2, Pipi and Bibis, 
Fix Eight and Money Money. [Corrado Tomaselli]

Cleaned up brkthru/darwin memory maps. Changed both games to use 
identical video timing parameters based on measurements of darwin.
Guessed based on available information at the master clock and 
derived all game clocks from it. [Aaron Giles]

Reogranized and started to clean up the CVS driver. Added emulation
of the speech CPU. Removed CVS BIOS entry. Removed unnecessary 
patching. [Zsolt Vasvari]

sauro.c: [couriersud]
 * Hooked up sp0256 sound
 * analyzed and commented some ports
 * added palette_bank support without real success

Reorganized the Raiden 2 driver.. a bit of extra documentation of the 
'V33' based set, which has been renamed. Nothing new working.
[David Haywood]

Fixed scan functions for kickgoal background, which were swapped.
[David Haywood]

Fixed 2650 disassembly of the sense and flag bits. Fixed incorrect
argument order in OUT instruction. Corrected spacing. [Zsolt Vasvari]

Fixed hang/crash on empty config file. [Wilbert Pol]

Cleaned up tceptor memory maps. [Zsolt Vasvari]

Atari System 2 driver cleanup: [Aaron Giles]
 * Proper video timing.
 * Full memory maps.
 * Save state support.
 * Removed 720 sound CPU hack in favor of prepopulated EEPROM like 
    the other games.

Added support for outputting 64-bit target addresses in the i386dasm.
[Aaron Giles]

Added MESS PC-Engine emulatation system. Fixed MAME debug build under
VC2003. [Mariusz Wojcieszek]

Unified memory maps in tmnt.c and twin16.c. Reversed ROM set names 
of Cuebrick World and Japan versions. Changed some function names to 
reflect parent set. [Zsolt Vasvari]

Changed Konami drivers to allocate and decode graphics using the same
layouts. Removed the layout parameter from the decodechar() calls.
[Atari Ace]

Fixed C++ compilation errors. [Dave Dribin]

Made INPs compatible between 64-bit MAME and 32-bit MAME. [Chad]

Complete taitosj memory map from Nicola's ancient notes. General code 
clean-up. [Zsolt Vasvari]

src2html improvments: [Aaron Giles]
 - added line numbers
 - added link to the raw file if the src and dst dirs are the same
 
"Fix" for full screen switch, which makes no sense, but is included
based on empirical evidence that is somehow works. [Emuman]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Name Club Ver.3 (J 970723 V1.000) [David Haywood, Mariusz Wojcieszek]
Blazing Lazers [Mariusz Wojcieszek, Charles MacDonald, Mr. Do]



New clones added
----------------
Lead Angle (Japan) [Guru]
A Question of Sport (39-960-107) [Highwayman]
Gee Bee (F.lli Bertolino license) [Corrado Tomaselli]



New games marked as GAME_NOT_WORKING
------------------------------------
Road Runner (Midway) [Zsolt Vasvari, Guru]
Paranoia [Mariusz Wojcieszek]



0.122u4
-------


MAMETesters Bugs Fixed
----------------------
gui0121u1gre [Aaron Giles]
drivedge0121u4gre [Aaron Giles]
bking3076u2red [Pierpaolo Prazzoli]
btoads0102u5gre [Aaron Giles]
btoads0103u1gre [Aaron Giles]
editableui0120u4red [Aaron Giles]
cheat0118red [Aaron Giles]
altf4_0111u4gre [Aaron Giles]
beastrzb097u2red [Oliver Stoneberg]
memoryleak0118u1ora [Oliver Stoneberg]
memory_leak0111u6ora [Oliver Stoneberg]
mahoudai0106u7yel [Philip Bennett]
gridiron079gre [David Haywood]
maniach37b11gre [David Haywood]
matmaniac37b14gre [David Haywood]
qzkklgy2_0106u6red [David Haywood]
warriorb0109u2gre [David Haywood]
vball071u1gre [Bryan McPhail]
d3dwindow0117u3red [Aaron Giles, Emuman]
arkanoid061gre [Bryan McPhail]
flkatck058gre [David Haywood]
memleak0119u3ora [Oliver Stoneberg]
system24_0120u3red [Atari Ace, Aaron Giles]
aleck64_0120red [Aaron Giles]
mtetrisc0115u1red [Aaron Giles]
suratk0122u3gra [Pierpaolo Prazzoli]
suratk0122u3ora [Pierpaolo Prazzoli]
skychut37b1yel [couriersud]
skychut37b6gre [couriersud]
darius2_0114gre [Bryan McPhail]
ad2083_0111u5gra [couriersud]
abaseb0122u3red [Zsolt Vasvari]
ladybug080u1gre [Zsolt Vasvari]
suprridr0122u2gra [Zsolt Vasvari]
invho2_0122u3red [Zsolt Vasvari]
narc37b16yel [Aaron Giles]
kingofb37b6gre [robiza]
stonebal0117u2gre [Aaron Giles]
wotw36b1gre [Zsolt Vasvari]
wallst071gre [Zsolt Vasvari]
mtrap37b14gre [Zsolt Vasvari]
pitfight0109u2gre [Aaron Giles]



Source Changes
--------------
Corrected btoads clocks according XTALs on the PCB. [Aaron Giles]

"Simplified" MC8123 decryption, though it's still more complicated 
than I'd like it to be. [Nicola Salmoria]

Cleaned up clocks in the itech32 driver. [Aaron Giles]

Added partial key for FD1089B 317-0037. [Nicola Salmoria]

Fixed bking3 clocks as per Guru readme. Added GAME_WRONG_COLORS flag 
to bking3. [Pierpaolo Prazzoli]

TMS34020 fixes: [Aaron Giles]
 * Allowed 32-bit pixel sizes
 * Fixed RPIX instruction

Added new function input_poll_keyboard_switches to poll for only key 
events. Expanded the size of the maximum simultaneously pressed 
switches. [Aaron Giles]

Removed GAME_IMPERFECT_GRAPHICS from all jpmimpct games bar Cluedo 
(see driver note). [Philip Bennett]

mario driver improvements: [couriersud]
 - Hooked up flipscreen
 - Changed monitor orientation to ROT0

Added Z80 DMA chip [couriersud]
 - only implements intelligence to emulate dkong3
 - fixed a misleading comment in 8257dma.h

dkong driver improvements: [couriersud]
 - hooked up z80dma
 - removed 2nd player inputs from sdbk input_ports
 - fixed some dump "copy/paste" bugs in dip locations

Added redumped Turkey USA to the seta2.c driver. [Brian Troha]

Fixed bad ram pages errors in stactics service mode. 
[Pierpaolo Prazzoli]

Atari updates: [Aaron Giles]
 - Added save state support to slapstic.
 - Added save state support to YM2413.
 - Modified slapstic code to support address range mirrors.
 - Cleaned up Rampart driver:
    - simplified rendering code
    - full memory map
    - added save state support

Implemented decent-sounding FM in the SCSP. [kingshriek]

Updated Naomi driver, now boots and shows some test menus (press F2 
to get into test, use 9 to navigate). Also hooked up ROM board PIO 
and skeleton for DMA. [R. Belmont, Samuele Zannoli, ElSemi]

N64 improvements: [SGINut]
 - Move texture masking to occur after coordinate adjustment
 - Fix 32-bit texturing in load_tile (Mario Kart 64 title screen)
 - Add zero-alpha early-out (Mario 64 trees/stars, Mario Kart 64 
    trees/karts)

ad2083 improvements: [couriersud]
 * completed tms5110A code
 * working speech synthesis
 * documented analysis done on pcb pictures and findings
 * as a consequence, marked all sound roms as BAD DUMP
 * created sound driver in scramble.c

Cleaned up graphics layouts in preparation for new format. Added new
GFXLAYOUT_RAW() macro to normalize definition. Added new validation
code. Made all remaining instances of gfx_layouts const. [Atari Ace]

Updated Amiga driver to use formal XTALs. [Dirk Best]

Changed 6522 emulation such that when writing to the ACR register with 
the timer 1 in continuous counting mode, the timer 1 value should not 
be reloaded but keep on counting. [Wilbert Pol]

Added XTAL defines to bfm_sc2.c and cleaned up lvcards.c. 
[James Wallace]

Added default layout to neogeo games allowing for either cropping or
stretching to the alternate 304x224 layout. Removed default cropping
in the driver. [David Haywood, Aaron Giles]

Fixed crash when saving state of older DCS-based games. Added save 
state support to the midvunit driver. [Aaron Giles]

Major improvements to Cycle Warriors video code (still not perfect, 
but road layer works now). [Bryan McPhail]

Major rewrite of skychut.c. There are still some glitches and it is 
not perfect but the following has been achieved: [couriersud]
 * adds samples to ipm invaders - just rename your old invaders 
    samples to ipminvad to test
 * added - amongst others - "capsule" dip switch to ipm invaders
 * sound ports identified
 * demo sound and cabinet type driver configuration

Updated memory configuration for Superboard game versions in peplus
driver. Fixes CMOS DATA errors on reload. [Jim Stolis]

Rewrote the CVS system video code. [Zsolt Vasvari]

Fixed S2650 register window display. [Zsolt Vasvari]

Added sound to Cycle Warriors and Big Fight. Corrected OKI M6295 
clock values. [Philip Bennett]

Fixed missing arrow in Venture on the zoomed out map, and the 
incorrect fading twister in Hard Hat. [Zsolt Vasvari]



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Dangerous Curves [Philip Bennett, Dazzer]
Big Fight [Bryan McPhail]



New clones added
----------------
Invasion - The Abductors (version 5.0) [Brian Troha]
Alien Syndrome (set 5, System 16A, FD1089B 317-0037) [Nicola Salmoria]
Dragon Spirit (Atari license) [Satoshi Suzuki]



0.122u3
-------


MAMETesters Bugs Fixed
----------------------
hstennis0103u2gra [Brian Troha]
edrandy0113gra [Brian Troha]
robocop2_0106u3gra [Brian Troha, Bryan McPhail]
mario0110u1gre [couriersud]
sbrkout0118yel [R. Belmont, Adam Bousley]
pestplce0122red [couriersud]
funkyjet055yel [Bryan McPhail]
liberate074u1gre [Bryan McPhail]
tokiu056gre [Bryan McPhail]
powerbls0112u4red [Pierpaolo Prazzoli]
wwestern0115u1yel [Atari Ace]
namcos1_0118u2yel [Atari Ace]
victnine0116u2red [Pierpaolo Prazzoli]
btoads0103gre [Aaron Giles]



Source Changes
--------------
Fixes clocks for Orbs. [David Haywood, Tomasz Slanina]

Fixed various 64-bit GCC warnings. [R. Belmont]

Improves accuracy and documentation of NSS/SNES DSP-1.
[Andreas Naive, R. Belmont]

Added new file xtal.h, documenting all known arcade PCB clock cystals.
Drivers should be updated to use these as a basis for their clocks,
and the list should be augmented as additional crystals are found.
[Guru, Aaron Giles]

suprloco improvements: [Pierpaolo Prazzoli]
 * Fixed IC.34 memory test 
 * Fixed 2nd player cocktail mode
 * Changed coin3 to service1
 
Cleaned up inputs/DIP switches in cninja driver. [Brian Troha]

Rewrote mario.c: [couriersud]
 - rewrote driver, separate MACHINE_DRIVER(mario_audio)
 - palette from schematics
 - video timing from schematics
 - driver configuration switch Nintendo/Std Monitor
 - got rid of COLORTABLE

Fixed typo for IO1 irq callback in hyperstone core. 
[Pierpaolo Prazzoli]

Added memory_get_bank() function. Fixed logging in memory.c to to use 
%p for pointer values. [Aaron Giles]

Fixed save states in i8051 cpu core [Pierpaolo Prazzoli]

Implemented a few SysCtrl, Maple, and PVR/HOLLY bits for Naomi. The 
BIOS gets slightly further but is nowhere near starting up. 
[R. Belmont]

Zeus updates: [Aaron Giles]
 * Better documented various bit latches.
 * Hooked up crusnexo lamp board (added layout).
 * Fixed year in MK4 startup test.

Fixed TMS5110 tables. [couriersud, Lord Nightmare]

Removed ui_popup(). Drivers should always be using popmessage() 
instead (has been this way for a while). Augmented popmessage() so 
that you can pass NULL to immediately dismiss any messages.
[Aaron Giles, thanks to Oliver Stoneberg's suggestion]

Added ATTR_PRINTF to a number of functions that have printf semantics.
[Oliver Stoneberg]

Rewrote sbrkout driver based on schematics: [Aaron Giles]
 * XTAL-based timing
 * Correct video timing
 * Full memory map
 * Correct memory usage ("zero page" RAM is shared with videoram)
 * Removed all input hacks
 * Fixed interrupt generation
 * Connected coin counters
 * Added save state support

Fixed several UNICODE=1 issues in the debugger. Changed the Windows
build process to always enable UNICODE=1 for 64-bit builds.
[Oliver Stoneberg, Aaron Giles]

Added save state support to btoads. [Aaron Giles]

Fixed onna34ro mcu simulation properly. [Pierpaolo Prazzoli]



New clones added
----------------
Mutant Fighter (World, EM-3) [Stefan Lindberg]
The Simpsons (2 Players Asia) [Arzeno Fabrice]



0.122u2
-------


MAMETesters Bugs Fixed
----------------------
pestplce0122red [couriersud]
hunchbkd0122red [couriersud]
radarscp0122yel [couriersud]
mwalk0122red [couriersud]
qtheater0122u1ora [Philip Bennett]



Source Changes
--------------
Fixed M65C02 optimization. [Peter Trauner]

TMS51xx and M58817 speech updates: [couriersud]
 - radarsc1 uses tms5110 speech synth
 - cvs games: according to PCBInfos speech chip is TMS5100.
    Changed driver to use TMS5100 and "game system operational" now 
    sounds more natural
 - removed sound/m58817.*
 - added support for multiple coefficients maps to tms5110.*
 - added coefficient maps for TMS5100 and M58817 from documented 
    sources to tms5110r.c
 - fixed interpolation factors (see tms5110r.c for reason)
 - made lattice calculation precision 9bit
 - added support for READBIT and LOADADDRESS commands to tms5110.c
 - more changes in line with various patents
 - documented TRS-02, TKG-02/03 "voice" interface

Completed the addition of static qualifiers to all MAME symbols that 
aren't explicitly exported. [Atari Ace]

Named the input_seq_type enumeration and used it explicitly in several
places. [Nathan Woods]

Corrected tx1 and tx1a coinage DSW assignments. Reversed buggyboy/
buggybjr 'Game Time' settings. [Philip Bennett]

TMS3203x core updates: [Aaron Giles]
 * fixed interrupt handling
 * added support for edge-triggered interrupts on '32
 * expanded interrupt support for the '32
 * updated drivers using TMS3203x core to deassert interrupts
 * added externally accessible functions for converting '3x floating point 
    format
 * updated gaelco3d driver to use new functions

Zeus2 (+related) updates: [Aaron Giles]
 * fixed save states for DCS games
 * cleaned up Zeus2 waveram handling
 * added Zeus2 save state support
 * added preliminary model and quad rendering support for Zeus2
 * added support to timekpr for the ZPRAM used on Zeus2
 * hooked up ZPRAM in Zeus2 games
 * hooked up controls in Zeus2 games
 * updated poly.c to ensure it is idle before saving state
 * Added artifical Z offset of -2 to make the full screen show in crusnexo

Replaced tekken2/tekken2a/tekken2b 'tes1wave.8k' ROM with the 
correct, non-byte-swapped dump. [Philip Bennett]

Added discrete 74LS624(56789) implementation [couriersud]
 - DISCRETE_74LS624 is a VCO needed for dkongjr
 - Supports Logic, Energy and Count outputs

dkong updates: [couriersud]
 - Added dkongjr discrete sound
 - Proper interface Z80 - I8035 for dkongjr
 - Changed discrete sound output factors
 - removed samples support for dkongjr
 - Cosmetic changes
 - Fixed regression in radarscp sound
 - Added dipswitch locations to dkong3b

Documentation and clock frequency improvements for seta.c: [Brian Troha]
 - Added the Guru's readme info for Thundercade
 - Corrected rom name for Thundercade
 - changed clocks to OSC by divider IE: 16000000/2 /* 8MHz */
 - Changed Orbs clock to 16MHz with note about 14.xx MHz
 - Changed Meta Fox's x0-006 (65c02) to same as Thundercade
 - Changed the YM3438 in Ultra Toukond Densetsu from 6MHz to 1600000/4 
    /* 4MHz */ as there is no mention of 6MHz OSC on PCB

Verified a number of clock frequencies from real PCBs.
[Corrado Tomaselli, Zsolt Vasvari]

Fixed several memory leaks related to SCSI CD emulation.
[Oliver Stoneberg]

Removed the increasing of the R register from each IX/IY related 
(FD xx or DD xx) instruction on the Z80. According to documentation
and the behavior of the Amstrad CPC driver, this is incorrect.
[Barry Rodewald]

Added initial FPU support to the SH4 core. [Samuele Zannoli]

Adjusted most conditional logging in MAME to use the idiom 
"do { if (VERBOSE) logerror x; } while (0)". This has the benefit that 
the compiler checks the syntax of the logging even in the case it will 
be eliminated, and in fact a number of cases here needed adjustments 
to compile because of this. [Atari Ace]



0.122u1
-------


MAMETesters Bugs Fixed
----------------------
ym2610_0119u2gre [Philip Bennett]



Source Changes
--------------
Zeus updates: [Aaron Giles]
 * Figured out data format of 2 matrix form.
 * Extracted data for lights.
 * Added backface culling which mostly works but fails sometimes, so 
    it is disabled.
 * Started on some initial lighting calculations.
 * Cleaned up zeus wave RAM accessors.
 * Changed rendering code to allow for greater parallelism on multicore
    systems.
 * Removed some vestigial zeus 2 hacks.
 * Reduced visible area to remove artifacts.
 * Made right/bottom vertices inclusive to fix some gapping issues.
 * Fixed invasn lightgun offset.

Zeus 2 hardware:
 * Fixed ROM loading, added banking support.
 * Separated zeus 2 video implementation from zeus implementation.
 * Implemented direct pixel accesses; enough to get startup screens 
    to show.
 * Hooked up ZPRAM.
 * Fixed digital inputs for crusnexo.
 * Fixed default screen parameters to match the games.

Afega/nmk16 cleanups: [David Haywood, Tomasz Slanina]
 * Merged afega.c and nmk16.c drivers
 * Removed many hacks from both.
 * Fixed a number of games

Fixed C219 sample read order and implemented sign+magnitude format.
Removed GAME_IMPERFECT_SOUND flag from all Namco NA-1 games.
[Philip Bennett]

Fixed ROM-based DCS2 system to ignore HLE transfers. (Fixes broken 
sound in invasn.) Properly reduced internal memory on the ADSP-2104 
variants. [Aaron Giles]

Fixed bug that would cause events to leak through to the game when the 
debugger was up. [Aaron Giles]

Verified some cpu clocks of original boards using a frequency counter:
[Corrado Tomaselli]
 * Changed Success Joe Ym2203 clock from 3mhz to 4mhz
 * Changed Pang M6295 clock from 990khz to 1Mhz
 * Changed Halley Comet main cpu clock to 1.664mhz (it's not a 
    mistake, the clock is very low)
 * Besides confirming clocks on some games, I modified:
 * Aerofighters and Turbo Force sound z80 to 5mhz
 * Midnight Resitance 68k cpu to 10mhz (20mhz crystal) and modified 
    m6295 clock to 1mhz. Also confirmed pin 7 is high.
    (Midnight resistance has a lot of slow downs on the pcb too)

Minor "code quality" improvements: [Atari Ace]
 * fixed some remaining static/const qualifier missed cases
 * fixed some missing #include "foo.h"
 * a few global names were modified to make them less generic/more 
    consistent (voodoo.c, vrender0.c, lethal.c, rungun.c, zac2650.c)
 * some dead/useless code was removed (i8051.c,model1.c,romcmp.c)



New games added or promoted from NOT_WORKING status
---------------------------------------------------
Invasion [Aaron Giles]
Buggy Boy Junior/Speed Buggy (Upright) [Philip Bennett]
Task Force Harrier [David Haywood, Tomasz Slanina]
US AAF Mustang [David Haywood, Tomasz Slanina]
Black Heart [David Haywood, Tomasz Slanina]
Red Hawk [David Haywood, Tomasz Slanina]
Stagger I [David Haywood, Tomasz Slanina]
Sen Jin - Guardian Storm [David Haywood, Tomasz Slanina]
Spectrum 2000 [David Haywood, Tomasz Slanina]
Fire Hawk [David Haywood, Tomasz Slanina]



New clones added
----------------
World Class Bowling (v1.3) [Brian Troha]
